Subject: Forum activity on: Found different preview on Inkscape and on webbrowser
From: [email-masked]
To: [email-masked]
Date: Sat, 18 Jan 2025 12:23:15 -0000

Dear Adriana calderón,

A post has been edited on the topic "Found different preview on Inkscape and on webbrowser" by do2z:
---
HelloI recently started to use <symbol> in Inkscape. In my example, I set a viewport and a viewbox to restrict the displayed area of the drawing. I'm surprised of the inkscape preview as the symbol is not cropped. On the attached file, you can see that the second circle is cropped on the webrowser at the height and width defined in the symbol tag whereas it's not in Inkscape preview.Am I missing something ? Any attribute ?This is the SVG code block :   <defs
      id="defs2">
      <symbol
         id="myDot"
         width="22"
         height="20"
         viewBox="0 0 22 20"
         preserveAspectRatio="xMidYMid slice">
         <circle
            cx="5"
            cy="5"
            r="5"
            id="circle11602" />
         <circle
            cx="20"
            cy="20"
            r="5"
            id="circle11604" />
      </symbol>
   </defs>
   <g
      inkscape:label="Calque 1"
      inkscape:groupmode="layer"
      id="layer1"
      style="opacity:1">
      <path
         d="M 0,20 H 100 M 20,0 V 20 M 40,0 V 20 M 60,0 V 20 M 80,0 V 20 M 100,0 v 20"
         fill="none"
         stroke="#ffc0cb"
         id="path11608" />
      <use xlink:href="#myDot" x="0" y="0" style="opacity:1.0" />
      <use xlink:href="#myDot" x="20" y="0" style="opacity:0.8" />
      <use xlink:href="#myDot" x="40" y="0" style="opacity:0.6" />
      <use xlink:href="#myDot" x="60" y="0" style="opacity:0.4" />
      <use xlink:href="#myDot" x="80" y="0" style="opacity:0.2" />
   </g>Thank you for your helpFor information, I'm using Inkscape 1.2.2 (732a01da63, 2022-12-09) on Windows 11.Ed 
----
Link: http://www.inkscape.org/forums/questions/found-different-preview-on-inkscape-and-on-webbrowser/#c77401

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.